Package com.independentsoft.office.word

# Enum Class ProofingErrorType

java.lang.Object
java.lang.Enum<ProofingErrorType>
com.independentsoft.office.word.ProofingErrorType

All Implemented Interfaces:
  `Serializable`, `Comparable<ProofingErrorType>`, `Constable`

public enum ProofingErrorType extends Enum<ProofingErrorType>
The Enum ProofingErrorType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `GRAMMATICAL_ERROR_END`
  `GRAMMATICAL_ERROR_START`
  `NONE`
  `SPELLING_ERROR_END`
  `SPELLING_ERROR_START`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ProofingErrorType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ProofingErrorType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### GRAMMATICAL_ERROR_START

    public static final ProofingErrorType GRAMMATICAL_ERROR_START

  - ### GRAMMATICAL_ERROR_END

    public static final ProofingErrorType GRAMMATICAL_ERROR_END

  - ### SPELLING_ERROR_START

    public static final ProofingErrorType SPELLING_ERROR_START

  - ### SPELLING_ERROR_END

    public static final ProofingErrorType SPELLING_ERROR_END

  - ### NONE

    public static final ProofingErrorType NONE

- ## Method Details

  - ### values

    public static ProofingErrorType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ProofingErrorType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null